Package org.jboss.logging.processor.model

# Interface DelegatingExecutableElement

All Superinterfaces:
  `AnnotatedConstruct`, `DelegatingElement`, `Element`, `ExecutableElement`, `Parameterizable`

All Known Subinterfaces:
  `MessageMethod`

public interface DelegatingExecutableElement extends ExecutableElement, DelegatingElement
A delegating `ExecutableElement` interface. All methods are invoked on the delegate element by default.

Author:
  James R. Perkins

## Method Summary

Modifier and Type
Method
Description
`default TypeMirror`
`asType()`
`default AnnotationValue`
`getDefaultValue()`
`ExecutableElement`
`getDelegate()`
The element to delegate the default methods to.
`default List<? extends VariableElement>`
`getParameters()`
`default TypeMirror`
`getReceiverType()`
`default TypeMirror`
`getReturnType()`
`default Name`
`getSimpleName()`
`default List<? extends TypeMirror>`
`getThrownTypes()`
`default List<? extends TypeParameterElement>`
`getTypeParameters()`
`default boolean`
`isDefault()`
`default boolean`
`isVarArgs()`

### Methods inherited from interface org.jboss.logging.processor.model.DelegatingElement

`accept, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getEnclosedElements, getEnclosingElement, getKind, getModifiers, isAnnotatedWith`

### Methods inherited from interface javax.lang.model.element.Element

`equals, hashCode`

## Method Details

### getDelegate

ExecutableElement getDelegate()
Description copied from interface: `DelegatingElement`
The element to delegate the default methods to.

Specified by:
  `getDelegate` in interface `DelegatingElement`
Returns:
  the delegate

### asType

default TypeMirror asType()

Specified by:
  `asType` in interface `DelegatingElement`
Specified by:
  `asType` in interface `Element`

### getTypeParameters

default List<? extends TypeParameterElement> getTypeParameters()

Specified by:
  `getTypeParameters` in interface `ExecutableElement`
Specified by:
  `getTypeParameters` in interface `Parameterizable`

### getReturnType

default TypeMirror getReturnType()

Specified by:
  `getReturnType` in interface `ExecutableElement`

### getParameters

default List<? extends VariableElement> getParameters()

Specified by:
  `getParameters` in interface `ExecutableElement`

### getReceiverType

default TypeMirror getReceiverType()

Specified by:
  `getReceiverType` in interface `ExecutableElement`

### isVarArgs

default boolean isVarArgs()

Specified by:
  `isVarArgs` in interface `ExecutableElement`

### isDefault

default boolean isDefault()

Specified by:
  `isDefault` in interface `ExecutableElement`

### getThrownTypes

default List<? extends TypeMirror> getThrownTypes()

Specified by:
  `getThrownTypes` in interface `ExecutableElement`

### getDefaultValue

default AnnotationValue getDefaultValue()

Specified by:
  `getDefaultValue` in interface `ExecutableElement`

### getSimpleName

default Name getSimpleName()

Specified by:
  `getSimpleName` in interface `DelegatingElement`
Specified by:
  `getSimpleName` in interface `Element`
Specified by:
  `getSimpleName` in interface `ExecutableElement`